none
.Net framework 3.5 setup error with windows installer 3.1

    Question

  • Hello, i have try to set up .net framework 3.5 on windows XP SP3 but set error with message you have to install Microsoft windows installer 3.1 before set up .net 3.5. After that i go to install windows installer 3.1 but setup return message the version windows using is later than the one you try to setup. Does anyone used to face this error? pls kindly tell me how to solve it.
    Thursday, January 26, 2012 4:08 AM

Answers

  • Follow these steps exactly:

    1. Download a fresh copy of the standalone cumulative update for .NET Framework 3.5 (this includes 2.0 SP's):

    http://download.microsoft.com/download/2/0/e/20e90413-712f-438c-988e-fdaa79a8ac3d/dotnetfx35.exe

    2. Clear your %temp% directory and disable your AV software.

    The %temp% directory is a reference to the Temp folder associated with the current user. To clear it, do the following:

    Sign on to your system with the Administrator user account you will use to run the installer. Click the Start Orb and type %temp% in the search box. The search results will show the Temp folder you want. Click on the Temp folder to open it in Windows Explorer, then delete the entire contents.

    3. Run the standalone installer from step 1 As Administrator.

    If the install fails, provide complete install logs as follows:

    Collect your full install logs as follows:

    Please collect your install logs with this:

    http://www.microsoft.com/downloads/details.aspx?FamilyID=E0DA314F-6216-4A18-BC6B-7D29CF83AF20&displaylang=e&displaylang=en

    After you run Collect.exe, you'll find vslogs.cab in your %temp% directory. Please upload vslogs.cab to a public site, like SkyDrive, and post the link here.

    • Proposed as answer by Alexander Sun Friday, January 27, 2012 5:54 AM
    • Marked as answer by Alexander Sun Wednesday, February 08, 2012 7:54 AM
    Thursday, January 26, 2012 2:04 PM